Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.loaders 5.9.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openide.loaders
Class RepositoryNodeFactory

    java.lang.Object
      org.openide.loaders.RepositoryNodeFactory

Deprecated. Probably unwise to call this for any reason; obsolete UI.

    public abstract class RepositoryNodeFactory

extends Object

Provisional mechanism for displaying the Repository object. It will show all filesystems, possibly with a filter.

Since:
  3.14

Constructor Summary
`protected` | `RepositoryNodeFactory()` Deprecated. Subclass constructor.

Method Summary
`static RepositoryNodeFactory` | `getDefault()` Deprecated. Get the default factory.
`abstract Node` | `repository(DataFilter f)` Deprecated. Create a node representing a subset of the repository of filesystems.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RepositoryNodeFactory

    protected RepositoryNodeFactory()

  Deprecated.
  Subclass constructor.

Method Detail

### getDefault

    public static RepositoryNodeFactory getDefault()

  Deprecated.
  Get the default factory.

  Returns:
    the default instance from lookup

### repository

    public abstract Node repository(DataFilter f)

  Deprecated.
  Create a node representing a subset of the repository of filesystems. You may filter out certain data objects. If you do not wish to filter out anything, just use `DataFilter.ALL`. Nodes might be reused between calls, so if you plan to add this node to a parent, clone it first.

  Parameters:
    `f` - a filter
  Returns:
    a node showing part of the repository

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.loaders 5.9.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.